---
updatedAt: 2026-10-25T15:46:36.000Z
agentTools:
  projectIndex: https://docs.superwise.ai/llms.txt
---

# Get Agent Version

Get specified version of specified agent.

Returns one version of an agent, including its agent configuration and guardrails.

## When to use it

Use it to inspect the configuration an agent ran with at a given version, for example before you restore it as a new version.

## Required parameters

* `agent_id` (path): the ID of the agent.
* `version_id` (path): the ID of the agent version.

## Response

A successful call returns `200 OK` with the `Version` object: `id`, `agent_id`, `name`, `description`, `agent_config`, `guardrails`, and timestamps.

**Related:** [List an agent's versions](https://docs.superwise.ai/reference/get_agent_versions), [Create an agent version](https://docs.superwise.ai/reference/create_version), [Update an agent version](https://docs.superwise.ai/reference/patch_version)

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "paths": {
    "/v1/agents/{agent_id}/versions/{version_id}": {
      "get": {
        "tags": [
          "Agents"
        ],
        "summary": "Get Agent Version",
        "description": "Get specified version of specified agent.",
        "operationId": "get_agent_version",
        "parameters": [
          {
            "name": "agent_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid4",
              "title": "Agent Id"
            }
          },
          {
            "name": "version_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid4",
              "title": "Version Id"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Version"
                }
              }
            }
          },
          "404": {
            "description": "Not Found"
          },
          "422": {
            "description": "Unprocessable Entity"
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "info": {
    "title": "Superwise Main Entities",
    "description": "API reference",
    "version": "0.1.0"
  },
  "components": {
    "schemas": {
      "ModelLLM": {
        "properties": {
          "provider_id": {
            "type": "string",
            "title": "Provider Id"
          },
          "version": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Version"
          },
          "parameters": {
            "additionalProperties": true,
            "type": "object",
            "title": "Parameters"
          }
        },
        "type": "object",
        "required": [
          "provider_id"
        ],
        "title": "ModelLLM"
      },
      "BasicLLMConfig": {
        "properties": {
          "show_cites": {
            "type": "boolean",
            "title": "Show Cites",
            "default": false
          },
          "type": {
            "type": "string",
            "const": "BasicLLM",
            "title": "Type",
            "default": "BasicLLM"
          },
          "framework": {
            "type": "string",
            "const": "Superwise",
            "title": "Framework",
            "default": "Superwise"
          },
          "model": {
            "$ref": "#/components/schemas/ModelLLM"
          },
          "prompt": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Prompt"
          }
        },
        "type": "object",
        "required": [
          "model"
        ],
        "title": "BasicLLMConfig"
      },
      "BearerAuthenticationConfig": {
        "properties": {
          "type": {
            "type": "string",
            "const": "Bearer",
            "title": "Type"
          },
          "token": {
            "type": "string",
            "title": "Token"
          }
        },
        "type": "object",
        "required": [
          "type",
          "token"
        ],
        "title": "BearerAuthenticationConfig"
      },
      "ContextChainConfig-Output": {
        "properties": {
          "show_cites": {
            "type": "boolean",
            "title": "Show Cites",
            "default": false
          },
          "type": {
            "type": "string",
            "const": "AIAssistant",
            "title": "Type",
            "default": "AIAssistant"
          },
          "framework": {
            "type": "string",
            "const": "Superwise",
            "title": "Framework",
            "default": "Superwise"
          },
          "model": {
            "$ref": "#/components/schemas/ModelLLM"
          },
          "prompt": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Prompt"
          },
          "context": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ContextDef-Output"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "type": "object",
        "required": [
          "model"
        ],
        "title": "ContextChainConfig"
      },
      "ContextDef-Output": {
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 50,
            "minLength": 1,
            "title": "Name"
          },
          "config": {
            "oneOf": [
              {
                "$ref": "#/components/schemas/ToolConfigKnowledge"
              },
              {
                "$ref": "#/components/schemas/ToolConfigPGVector"
              },
              {
                "$ref": "#/components/schemas/ToolConfigPineconeVectorDB"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabasePostgres"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabaseMySQL"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabaseMSSQL"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabaseOracle"
              },
              {
                "$ref": "#/components/schemas/ToolConfigBigQuery"
              }
            ],
            "title": "Config",
            "discriminator": {
              "propertyName": "type",
              "mapping": {
                "BigQuery": "#/components/schemas/ToolConfigBigQuery",
                "Knowledge": "#/components/schemas/ToolConfigKnowledge",
                "MSSQL": "#/components/schemas/ToolConfigSQLDatabaseMSSQL",
                "MySQL": "#/components/schemas/ToolConfigSQLDatabaseMySQL",
                "Oracle": "#/components/schemas/ToolConfigSQLDatabaseOracle",
                "PGVector": "#/components/schemas/ToolConfigPGVector",
                "Pinecone": "#/components/schemas/ToolConfigPineconeVectorDB",
                "PostgreSQL": "#/components/schemas/ToolConfigSQLDatabasePostgres"
              }
            }
          }
        },
        "type": "object",
        "required": [
          "name",
          "config"
        ],
        "title": "ContextDef"
      },
      "EmbeddingModel": {
        "properties": {
          "provider_id": {
            "type": "string",
            "title": "Provider Id"
          },
          "version": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Version"
          }
        },
        "type": "object",
        "required": [
          "provider_id"
        ],
        "title": "EmbeddingModel"
      },
      "FileKnowledgeMetadata": {
        "properties": {
          "type": {
            "type": "string",
            "const": "file",
            "title": "Type",
            "default": "file"
          },
          "file_ids": {
            "items": {
              "type": "string"
            },
            "type": "array",
            "minItems": 1,
            "title": "File Ids"
          }
        },
        "type": "object",
        "required": [
          "file_ids"
        ],
        "title": "FileKnowledgeMetadata"
      },
      "FlowiseCreationCredential": {
        "properties": {
          "name": {
            "type": "string",
            "title": "Name"
          },
          "credentialName": {
            "type": "string",
            "title": "Credentialname"
          },
          "plainDataObj": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object",
            "title": "Plaindataobj"
          }
        },
        "type": "object",
        "required": [
          "name",
          "credentialName",
          "plainDataObj"
        ],
        "title": "FlowiseCreationCredential"
      },
      "FlowiseCredentialUserInput": {
        "additionalProperties": {
          "$ref": "#/components/schemas/FlowiseCreationCredential"
        },
        "type": "object",
        "title": "FlowiseCredentialUserInput"
      },
      "FlowiseStrictConfig-Output": {
        "properties": {
          "show_cites": {
            "type": "boolean",
            "title": "Show Cites",
            "default": false
          },
          "framework": {
            "type": "string",
            "const": "Flowise",
            "title": "Framework",
            "default": "Flowise"
          },
          "type": {
            "type": "string",
            "const": "Flowise",
            "title": "Type",
            "default": "Flowise"
          },
          "flow_id": {
            "type": "string",
            "title": "Flow Id"
          },
          "url": {
            "type": "string",
            "title": "Url"
          },
          "api_key": {
            "type": "string",
            "title": "Api Key"
          },
          "flowise_credentials": {
            "$ref": "#/components/schemas/FlowiseCredentialUserInput"
          }
        },
        "type": "object",
        "required": [
          "flow_id",
          "url",
          "api_key"
        ],
        "title": "FlowiseStrictConfig"
      },
      "GuardrailConfig": {
        "properties": {
          "version_id": {
            "type": "string",
            "format": "uuid4",
            "title": "Version Id"
          },
          "should_block": {
            "type": "boolean",
            "title": "Should Block"
          }
        },
        "type": "object",
        "required": [
          "version_id",
          "should_block"
        ],
        "title": "GuardrailConfig"
      },
      "MCPToolSchema": {
        "properties": {
          "name": {
            "type": "string",
            "title": "Name"
          },
          "description": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Description"
          },
          "inputSchema": {
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object"
              },
              {
                "type": "null"
              }
            ],
            "title": "Inputschema"
          },
          "annotations": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Annotations"
          }
        },
        "type": "object",
        "required": [
          "name"
        ],
        "title": "MCPToolSchema",
        "description": "Minimal MCP tool schema for StructuredTool conversion"
      },
      "ReactAgentConfig-Output": {
        "properties": {
          "show_cites": {
            "type": "boolean",
            "title": "Show Cites",
            "default": false
          },
          "type": {
            "type": "string",
            "const": "ReactAgent",
            "title": "Type",
            "default": "ReactAgent"
          },
          "framework": {
            "type": "string",
            "const": "Superwise",
            "title": "Framework",
            "default": "Superwise"
          },
          "model": {
            "$ref": "#/components/schemas/ModelLLM"
          },
          "prompt": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Prompt"
          },
          "tools": {
            "items": {
              "$ref": "#/components/schemas/ToolDef-Output"
            },
            "type": "array",
            "title": "Tools"
          },
          "response_mode": {
            "$ref": "#/components/schemas/ReactAgentResponseMode",
            "default": "text"
          },
          "json_schema_response": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ReactAgentResponseJsonSchema"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "type": "object",
        "required": [
          "model",
          "tools"
        ],
        "title": "ReactAgentConfig"
      },
      "ReactAgentResponseJsonSchema": {
        "properties": {},
        "additionalProperties": true,
        "type": "object",
        "title": "ReactAgentResponseJsonSchema"
      },
      "ReactAgentResponseMode": {
        "type": "string",
        "enum": [
          "text",
          "json_schema"
        ],
        "title": "ReactAgentResponseMode"
      },
      "ToolConfigBigQuery": {
        "properties": {
          "type": {
            "type": "string",
            "const": "BigQuery",
            "title": "Type",
            "default": "BigQuery"
          },
          "config_metadata": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ToolConfigSQLMetadata"
              },
              {
                "type": "null"
              }
            ]
          },
          "project_id": {
            "type": "string",
            "title": "Project Id"
          },
          "dataset_id": {
            "type": "string",
            "title": "Dataset Id"
          },
          "service_account": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object",
            "title": "Service Account"
          }
        },
        "type": "object",
        "required": [
          "project_id",
          "dataset_id",
          "service_account"
        ],
        "title": "ToolConfigBigQuery"
      },
      "ToolConfigKnowledge": {
        "properties": {
          "type": {
            "type": "string",
            "const": "Knowledge",
            "title": "Type",
            "default": "Knowledge"
          },
          "knowledge_id": {
            "type": "string",
            "title": "Knowledge Id"
          },
          "knowledge_metadata": {
            "anyOf": [
              {
                "oneOf": [
                  {
                    "$ref": "#/components/schemas/UrlKnowledgeMetadata"
                  },
                  {
                    "$ref": "#/components/schemas/FileKnowledgeMetadata"
                  }
                ],
                "discriminator": {
                  "propertyName": "type",
                  "mapping": {
                    "file": "#/components/schemas/FileKnowledgeMetadata",
                    "url": "#/components/schemas/UrlKnowledgeMetadata"
                  }
                }
              },
              {
                "type": "null"
              }
            ],
            "title": "Knowledge Metadata",
            "hidden": true
          },
          "embedding_model": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/EmbeddingModel"
              },
              {
                "type": "null"
              }
            ],
            "hidden": true
          }
        },
        "type": "object",
        "required": [
          "knowledge_id"
        ],
        "title": "ToolConfigKnowledge"
      },
      "ToolConfigMCP-Output": {
        "properties": {
          "type": {
            "type": "string",
            "const": "MCP",
            "title": "Type",
            "default": "MCP"
          },
          "mcp_id": {
            "type": "string",
            "format": "uuid4",
            "title": "Mcp Id",
            "description": "MCP entity ID (UUID)"
          },
          "tool_name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Tool Name",
            "description": "Specific tool name to use from MCP entity"
          },
          "tool_schema": {
            "items": {
              "$ref": "#/components/schemas/MCPToolSchema"
            },
            "type": "array",
            "minItems": 1,
            "title": "Tool Schema",
            "description": "Tool schema(s) from MCP entity"
          },
          "url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Url",
            "description": "MCP server URL from MCP entity"
          },
          "headers": {
            "anyOf": [
              {
                "additionalProperties": {
                  "type": "string"
                },
                "type": "object"
              },
              {
                "type": "null"
              }
            ],
            "title": "Headers",
            "description": "Headers from MCP entity"
          },
          "params": {
            "anyOf": [
              {
                "additionalProperties": {
                  "type": "string"
                },
                "type": "object"
              },
              {
                "type": "null"
              }
            ],
            "title": "Params",
            "description": "Query params from MCP entity"
          }
        },
        "type": "object",
        "required": [
          "mcp_id",
          "tool_schema"
        ],
        "title": "ToolConfigMCP"
      },
      "ToolConfigOpenAPI": {
        "properties": {
          "type": {
            "type": "string",
            "const": "OpenAPI",
            "title": "Type",
            "default": "OpenAPI"
          },
          "openapi_schema": {
            "additionalProperties": true,
            "type": "object",
            "title": "Openapi Schema"
          },
          "authentication": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/BearerAuthenticationConfig"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "type": "object",
        "required": [
          "openapi_schema"
        ],
        "title": "ToolConfigOpenAPI"
      },
      "ToolConfigPGVector": {
        "properties": {
          "type": {
            "type": "string",
            "const": "PGVector",
            "title": "Type",
            "default": "PGVector"
          },
          "connection_string": {
            "type": "string",
            "title": "Connection String"
          },
          "table_name": {
            "type": "string",
            "title": "Table Name"
          },
          "db_schema": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Db Schema"
          },
          "embedding_model": {
            "$ref": "#/components/schemas/EmbeddingModel"
          }
        },
        "type": "object",
        "required": [
          "connection_string",
          "table_name",
          "embedding_model"
        ],
        "title": "ToolConfigPGVector"
      },
      "ToolConfigPineconeVectorDB": {
        "properties": {
          "type": {
            "type": "string",
            "const": "Pinecone",
            "title": "Type",
            "default": "Pinecone"
          },
          "api_key": {
            "type": "string",
            "title": "Api Key"
          },
          "index_name": {
            "type": "string",
            "title": "Index Name"
          },
          "embedding_model": {
            "$ref": "#/components/schemas/EmbeddingModel"
          }
        },
        "type": "object",
        "required": [
          "api_key",
          "index_name",
          "embedding_model"
        ],
        "title": "ToolConfigPineconeVectorDB"
      },
      "ToolConfigSQLDatabaseMSSQL": {
        "properties": {
          "type": {
            "type": "string",
            "const": "MSSQL",
            "title": "Type",
            "default": "MSSQL"
          },
          "config_metadata": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ToolConfigSQLMetadata"
              },
              {
                "type": "null"
              }
            ]
          },
          "connection_string": {
            "type": "string",
            "pattern": "^mssql://",
            "title": "Connection String"
          }
        },
        "type": "object",
        "required": [
          "connection_string"
        ],
        "title": "ToolConfigSQLDatabaseMSSQL"
      },
      "ToolConfigSQLDatabaseMySQL": {
        "properties": {
          "type": {
            "type": "string",
            "const": "MySQL",
            "title": "Type",
            "default": "MySQL"
          },
          "config_metadata": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ToolConfigSQLMetadata"
              },
              {
                "type": "null"
              }
            ]
          },
          "connection_string": {
            "type": "string",
            "pattern": "^mysql://",
            "title": "Connection String"
          }
        },
        "type": "object",
        "required": [
          "connection_string"
        ],
        "title": "ToolConfigSQLDatabaseMySQL"
      },
      "ToolConfigSQLDatabaseOracle": {
        "properties": {
          "type": {
            "type": "string",
            "const": "Oracle",
            "title": "Type",
            "default": "Oracle"
          },
          "config_metadata": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ToolConfigSQLMetadata"
              },
              {
                "type": "null"
              }
            ]
          },
          "connection_string": {
            "type": "string",
            "pattern": "^oracle://",
            "title": "Connection String"
          }
        },
        "type": "object",
        "required": [
          "connection_string"
        ],
        "title": "ToolConfigSQLDatabaseOracle"
      },
      "ToolConfigSQLDatabasePostgres": {
        "properties": {
          "type": {
            "type": "string",
            "const": "PostgreSQL",
            "title": "Type",
            "default": "PostgreSQL"
          },
          "config_metadata": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/ToolConfigSQLMetadata"
              },
              {
                "type": "null"
              }
            ]
          },
          "connection_string": {
            "type": "string",
            "pattern": "^postgresql://",
            "title": "Connection String"
          }
        },
        "type": "object",
        "required": [
          "connection_string"
        ],
        "title": "ToolConfigSQLDatabasePostgres"
      },
      "ToolConfigSQLMetadata": {
        "properties": {
          "include_tables": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Include Tables"
          },
          "exclude_tables": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "title": "Exclude Tables"
          }
        },
        "type": "object",
        "title": "ToolConfigSQLMetadata"
      },
      "ToolDef-Output": {
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 50,
            "minLength": 1,
            "title": "Name"
          },
          "description": {
            "type": "string",
            "title": "Description"
          },
          "config": {
            "oneOf": [
              {
                "$ref": "#/components/schemas/ToolConfigPGVector"
              },
              {
                "$ref": "#/components/schemas/ToolConfigPineconeVectorDB"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabasePostgres"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabaseMySQL"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabaseMSSQL"
              },
              {
                "$ref": "#/components/schemas/ToolConfigSQLDatabaseOracle"
              },
              {
                "$ref": "#/components/schemas/ToolConfigBigQuery"
              },
              {
                "$ref": "#/components/schemas/ToolConfigOpenAPI"
              },
              {
                "$ref": "#/components/schemas/ToolConfigMCP-Output"
              },
              {
                "$ref": "#/components/schemas/ToolConfigKnowledge"
              }
            ],
            "title": "Config",
            "discriminator": {
              "propertyName": "type",
              "mapping": {
                "BigQuery": "#/components/schemas/ToolConfigBigQuery",
                "Knowledge": "#/components/schemas/ToolConfigKnowledge",
                "MCP": "#/components/schemas/ToolConfigMCP-Output",
                "MSSQL": "#/components/schemas/ToolConfigSQLDatabaseMSSQL",
                "MySQL": "#/components/schemas/ToolConfigSQLDatabaseMySQL",
                "OpenAPI": "#/components/schemas/ToolConfigOpenAPI",
                "Oracle": "#/components/schemas/ToolConfigSQLDatabaseOracle",
                "PGVector": "#/components/schemas/ToolConfigPGVector",
                "Pinecone": "#/components/schemas/ToolConfigPineconeVectorDB",
                "PostgreSQL": "#/components/schemas/ToolConfigSQLDatabasePostgres"
              }
            }
          }
        },
        "type": "object",
        "required": [
          "name",
          "description",
          "config"
        ],
        "title": "ToolDef"
      },
      "UrlKnowledgeMetadata": {
        "properties": {
          "type": {
            "type": "string",
            "const": "url",
            "title": "Type",
            "default": "url"
          },
          "url": {
            "type": "string",
            "title": "Url"
          },
          "max_depth": {
            "type": "integer",
            "maximum": 5,
            "minimum": 1,
            "title": "Max Depth"
          }
        },
        "type": "object",
        "required": [
          "url",
          "max_depth"
        ],
        "title": "UrlKnowledgeMetadata"
      },
      "Version": {
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 95,
            "minLength": 1,
            "title": "Name"
          },
          "description": {
            "anyOf": [
              {
                "type": "string",
                "maxLength": 100
              },
              {
                "type": "null"
              }
            ],
            "title": "Description"
          },
          "agent_config": {
            "oneOf": [
              {
                "$ref": "#/components/schemas/ReactAgentConfig-Output"
              },
              {
                "$ref": "#/components/schemas/ContextChainConfig-Output"
              },
              {
                "$ref": "#/components/schemas/BasicLLMConfig"
              },
              {
                "$ref": "#/components/schemas/FlowiseStrictConfig-Output"
              }
            ],
            "title": "Agent Config",
            "discriminator": {
              "propertyName": "type",
              "mapping": {
                "AIAssistant": "#/components/schemas/ContextChainConfig-Output",
                "BasicLLM": "#/components/schemas/BasicLLMConfig",
                "Flowise": "#/components/schemas/FlowiseStrictConfig-Output",
                "ReactAgent": "#/components/schemas/ReactAgentConfig-Output"
              }
            }
          },
          "guardrails": {
            "items": {
              "$ref": "#/components/schemas/GuardrailConfig"
            },
            "type": "array",
            "title": "Guardrails"
          },
          "id": {
            "type": "string",
            "format": "uuid4",
            "title": "Id"
          },
          "agent_id": {
            "type": "string",
            "format": "uuid4",
            "title": "Agent Id"
          },
          "created_by": {
            "type": "string",
            "title": "Created By"
          },
          "created_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Created At"
          },
          "updated_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Updated At"
          }
        },
        "type": "object",
        "required": [
          "name",
          "agent_config",
          "id",
          "agent_id",
          "created_by"
        ],
        "title": "Version"
      }
    },
    "securitySchemes": {
      "implicit": {
        "type": "oauth2",
        "flows": {
          "implicit": {
            "authorizationUrl": "https://authentication.superwise.ai/identity/resources/auth/v1/api-token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "implicit": []
    }
  ],
  "servers": [
    {
      "url": "api.superwise.ai",
      "description": "Superwise Api Gateway"
    }
  ]
}
```